from flask import Blueprint, jsonify
from flask_mysqldb import MySQL
from .auth import token_required  # Importando o token_required



usuarios = Blueprint('usuarios', __name__)  # Criando o Blueprint
mysql = MySQL()  # Criando a instância do MySQL

@usuarios.route('/usuarios', methods=['GET'])
@token_required
def listar_usuarios(data):  
    try:
        cur = mysql.connection.cursor()
        cur.execute("SELECT nome, dominio, idusuarios FROM usuarios")
        resultados = cur.fetchall()

        
        empresas_list = [{"nome": row['nome'], "dominio": row['dominio'], "idusuarios": row["idusuarios"]} for row in resultados]

        return jsonify(empresas_list), 200
    except Exception:
        return jsonify({"erro": "Erro interno no servidor"}), 500